from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XLoggerPool(Protocol):
    def getNamedLogger(self, Name: str) -> XLogger: ...
    def getDefaultLogger(self) -> XLogger: ...
